import React from 'react'
import styles from './index.module.scss'
import { ArrowRightOutlined } from '@ant-design/icons'

type Props = {
  clickSon: () => void
  txt: string
}

function NextPage({ clickSon, txt }: Props) {
  return (
    <div className={styles.NextPage}>
      <div className='NPdiv' onClick={clickSon}>
        {txt}
        <ArrowRightOutlined rev={undefined} />
      </div>
    </div>
  )
}

const MemoNextPage = React.memo(NextPage)

export default MemoNextPage
